From 55bf689308ed00692494d3623bd2064f33c9bbbe Mon Sep 17 00:00:00 2001
From: Mike Gilbert <floppym@gentoo.org>
Date: Sun, 17 Apr 2022 09:48:28 -0400
Subject: [PATCH] Add test support for  systemd-tmpfiles.standalone

---
 meson.build | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index 458370e83d..d60be1b050 100644
--- a/meson.build
+++ b/meson.build
@@ -3451,7 +3451,7 @@ if conf.get('ENABLE_TMPFILES') == 1
         endif
 
         if have_standalone_binaries
-                public_programs += executable(
+                exe = executable(
                         'systemd-tmpfiles.standalone',
                         systemd_tmpfiles_sources,
                         include_directories : includes,
@@ -3463,6 +3463,14 @@ if conf.get('ENABLE_TMPFILES') == 1
                         dependencies : [libacl],
                         install : true,
                         install_dir : rootbindir)
+                public_programs += exe
+
+                if want_tests != 'false'
+                        test('test-systemd-tmpfiles.standalone',
+                             test_systemd_tmpfiles_py,
+                             # https://github.com/mesonbuild/meson/issues/2681
+                             args : exe.full_path())
+                endif
         endif
 endif
 
-- 
2.35.1

